[PATCH] Cygwin: Update configure.ac to use AC_CONFIG_HEADERS

Corinna Vinschen corinna-cygwin@cygwin.com
Tue Dec 7 14:16:56 GMT 2021


On Dec  7 13:29, Jon Turney wrote:
> This avoids warning with autoconf >= 2.70:
> 
>   configure.ac:47: warning: The macro `AC_CONFIG_HEADER' is obsolete.
> 
> AC_CONFIG_HEADERS has been supported since before autconf 2.59, the
> minimum version we can be using, controlled by AC_PREREQ.
> ---
>  winsup/configure.ac | 2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)
> 
> diff --git a/winsup/configure.ac b/winsup/configure.ac
> index 9a11411ab..79e78a5fc 100644
> --- a/winsup/configure.ac
> +++ b/winsup/configure.ac
> @@ -44,7 +44,7 @@ AC_ARG_WITH([cross-bootstrap],[AS_HELP_STRING([--with-cross-bootstrap],[do not b
>  
>  AC_CYGWIN_INCLUDES
>  
> -AC_CONFIG_HEADER(cygwin/config.h)
> +AC_CONFIG_HEADERS([cygwin/config.h])
>  
>  AC_CHECK_TOOL(AR, ar, ar)
>  AC_CHECK_TOOL(AS, as, as)
> -- 
> 2.34.1

Sure thing.


Thanks,
Corinna


More information about the Cygwin-patches mailing list